# Persistence Intervals and Diagrams

```@docs
PersistenceInterval
```

```@docs
birth
```

```@docs
death
```

```@docs
persistence
```

```@docs
RepresentativeInterval
```

```@docs
representative
```

```@docs
birth_simplex
```

```@docs
death_simplex
```

```@docs
PersistenceDiagram
```

```@docs
barcode(::Union{PersistenceDiagram, AbstractVector{<:PersistenceDiagram}})
```

## Distances Between Persistence Diagrams

```@docs
Bottleneck
```

```@docs
Wasserstein
```

```@docs
matching
```

```@docs
weight
```

## Persistence Diagram Vectorization Methods

```@docs
BettiCurve
```

```@docs
PersistenceImage
```
